@font-face {
  font-family: 'Exo 2';
  src: url(../fonts/exo2.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
  font-family: 'old-esloe';
  src: url(../webfonts/frankenstein.ttf) format('truetype');
}

:root {
  -ms-user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  --neon-text-color: #f40;
  --neon-border-color: #08f;
}

p a, p a:hover {
  text-decoration: underline;
  color: #ffd700;
}

ul {
  margin-left: 1em;
  list-style-position: outside;
  list-style-type: disc;
}
ul.cond {
  margin-left: 1.5em;
  list-style-position: outside;
  list-style-type: '- ';
  font-weight: bold;
  text-align: left;
}
li {
  margin-top: 0.5em;
}

#neueroeffnung {
  height: 16px;
}

.neon {
  margin-top: 32px;
  margin-left: 32px;
  font-family: 'Exo 2';
  font-size: 5rem;
  font-weight: normal;
  color: #fff;
  text-transform: uppercase;
  padding: 2rem 3rem 3rem;
  border: 0.4rem solid #fff;
  border-radius: 2rem;
  animation: flicker 1.5s infinite alternate;
}
.neon::-moz-selection, .neon::selection {
  background-color: var(--neon-border-color);
  color: var(--neon-text-color);
}
.neon:focus {
  outline: none;
}

#old-esloe {
  height: 200px;
}

.golden {
  position: absolute;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, 0);
  min-width: 1000px;
  text-align: center;
}
.golden:after {
  text-shadow: 1px 1px 0 #eee, 5px 5px 0 #777;
  content: attr(title);
}
.golden:after, .golden div {
  font-family: 'old-esloe';
  font-size: 200px;
  line-height: 200px;
  font-weight: normal;
  letter-spacing: -1px;
  height: 200px;
}
.golden div {
  position: absolute; 
  min-width: 1000px;
  background: linear-gradient(100deg, #000000 0%, #bf953f 20%, #fcf6ba 40%, #b38728 50%, #fbf5b7 60%, #aa771c 80%, #000000 100%);
  background-color: #000;
  background-repeat: no-repeat;
  background-position: top left;
  -webkit-background-size: 250px 155px;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  animation: shining 10s infinite alternate;
}

#reiners {
  height: 120px;
}

.reiners {
  position: absolute;
  left: 50%;
  margin-right: -50%;
  font-family: 'old-esloe';
  font-size: 100px;
  font-weight: normal;
  color: #000;
  transform: translate(-50%, 0);
  text-shadow: 1px 1px 0 #eee, 5px 5px 0 #777;
  animation: blinking 15s infinite;
}

#header h1 {
  font-size: 1.8em;
  font-family: 'old-esloe';
}
h3 {
  font-size: 1.5em;
  text-decoration: underline;
}
a {
  color: #ffd700;
}

.ausverkauft {
  position: absolute;
  margin-top: -2em;
  height: 1em;
  opacity: 0.5;
  color: #f20;
  -moz-transform: rotate(20deg);
  -ms-transform: rotate(20deg);
  -o-transform: rotate(20deg);
  -webkit-transform: rotate(20deg);
  transform: rotate(20deg);
}

div#intro {
  text-shadow: 1px 1px 0 #444, 2px 2px 0 #777;
}

@-webkit-keyframes flicker {
  0%, 19%, 21%, 23%, 25%, 54%, 56%, 100% {
    text-shadow:
      -0.2rem -0.2rem 1rem #fff,
      0.2rem 0.2rem 1rem #fff,
      0 0 2rem var(--neon-text-color),
      0 0 4rem var(--neon-text-color),
      0 0 6rem var(--neon-text-color),
      0 0 8rem var(--neon-text-color),
      0 0 10rem var(--neon-text-color);
    box-shadow:
      0 0 .5rem #fff,
      inset 0 0 .5rem #fff,
      0 0 2rem var(--neon-border-color),
      inset 0 0 2rem var(--neon-border-color),
      0 0 4rem var(--neon-border-color),
      inset 0 0 4rem var(--neon-border-color);
  }
  20%, 24%, 55% {
    text-shadow: none;
    box-shadow: none;
  }
}

@-webkit-keyframes shining {
  0% {
    background-position: -250px 0;
  }
  75%, 100% {
    background-position: 1250px 0;
  }
}

@-webkit-keyframes blinking {
  0% {
    color: #000;
  }
  5% {
    color: #fff;
  }
  10% {
    color: #000;
  }
}

.image_login {
  display: block;
  height: 100px;
}
.left2 {
  float: left;
}
.m8 {
  margin-left: 8px;
}
.m16 {
  margin-left: 16px;
}
.column {
  min-width: 400px;
  max-width: 400px;
}
#karaoke_infos {
  text-align: left;
}
#k_close {
  float: right;
  cursor: pointer;
}
#div_karaoke {
  box-shadow: 5px 5px 5px rgba(0,0,0,0.3);
  -moz-box-shadow: 5px 5px 5px rgba(0,0,0,0.3);
  -webkit-box-shadow: 5px 5px 5px rgba(0,0,0,0.3);
  -o-box-shadow: 5px 5px 5px rgba(0,0,0,0.3);
  border-radius: 8px;
  background-color: #eddfba;
  color: #400;
  font-size: 16px;
  -ms-user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
#div_karaoke a:hover {
  text-decoration: underline;
}
.kartenreservierung {
  margin-top: 0.5em;
}
#label_user, #label_password, #label_email_login {
  font-size: 0.8em;
  min-width: 120px;
  right: 38px;
  border: #aaa 1px solid;
  padding: 4px;
}
#version {
  font-weight: normal;
}
#version, #datenschutz {
  float: left;
}
#impressum_login {
  float: right;
}
.entryfield {
  min-width: 120px;
}
#registrieren, #pw_vergessen {
  cursor: pointer;
}
#registrieren {
  color: #400;
  float: left;
}
#pw_vergessen {
  color: #400;
  float: right;
}
.message {
  height: 80px;
}
.tickets_my, .tickets_list {
  appearance: none;
  border: none;
  margin: 0;
  font-size: inherit;
  cursor: pointer;
  line-height: inherit;
}
.tickets_my {
  padding: 0 0.5em 0 0.5em !important;
  width: 2em !important;
}
.tickets_list {
  padding: 0.4em !important;
}
#div_karaoke .button {
  height: 2em;
  padding-top: 0.5em;
}
#div_karaoke .entryfield {
  padding: 0.5em 0.5em 0.5em 2.5em;
}
#div_karaoke .icon:before {
  font-family: icons;
}
#div_loggedin {
  text-align: left;
}
#user_reservation {
  font-size: 1.2em;
}

#klist {
  max-height: 150px;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
  margin-bottom: 1em;
}
#klist::-webkit-scrollbar {
  display: none;
}
#klist table th, #klist table td {
  padding: 0.3em;
}
#klist table {
  margin: 0;
}
#klist table td {
  font-weight: normal;
  vertical-align: top;
}
table.klist tr, table.klist th, table.klist td {
  margin: -3px;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  vertical-align: baseline;
  opacity: 0.97;
}
table.klist th {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
table.klist {
  border-spacing: 0;
  border-collapse: separate;
  width: 334px;
}
table.klist {
  font-family: Arial, Helvetica, sans-serif;
  color: #222;
  font-size: 13px;
  text-shadow: 1px 1px 0px #fff;
  background-color: #eaebec;
  border: #ccc 1px solid;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  -moz-box-shadow: 0 1px 2px #d1d1d1;
  -webkit-box-shadow: 0 1px 2px #d1d1d1;
  box-shadow: 0 1px 2px #d1d1d1;
}
table.klist th {
  padding: 4px 10px 0 10px;
  border-top: 1px solid #fafafa;
  border-bottom: 1px solid #e0e0e0;
  background-color: #e8e8e8;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#ffffff), to(#e8e8e8));
  background-image: -moz-linear-gradient(top,  #ffffff,  #e8e8e8);
}
table.klist th:first-child, table.klist tr td:first-child {
  text-align: left;
  padding-left: 3px;
}
table.klist tr:first-child th:first-child {
  -moz-border-radius-topleft: 3px;
  -webkit-border-top-left-radius: 3px;
  border-top-left-radius: 3px;
}
table.klist tr:first-child th:last-child {
  -moz-border-radius-topright: 3px;
  -webkit-border-top-right-radius: 3px;
  border-top-right-radius: 3px;
}
table.klist tr {
  text-align: center;
}
table.klist tr th {
  border-left: 1px solid #e0e0e0;
}
table.klist tr td {
  padding: 4px 3px 4px 3px;
  border-top: 1px solid #ffffff;
  border-bottom: 1px solid #e0e0e0;
  border-left: 1px solid #e0e0e0;
  background-color: #fafafa;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fbfbfb), to(#fafafa));
  background-image: -moz-linear-gradient(top,  #fbfbfb,  #fafafa);
}
table.klist tr:nth-child(even) td {
  background-color: #e6e6e6;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#e8e8e8), to(#e6e6e6));
  background-image: -moz-linear-gradient(top,  #e8e8e8,  #e6e6e6);
}
table.klist tr:last-child td {
  border-bottom: 0;
}
table.klist tr:last-child td:first-child {
  -moz-border-radius-bottomleft: 3px;
  -webkit-border-bottom-left-radius: 3px;
  border-bottom-left-radius: 3px;
}
table.klist tr:last-child td:last-child {
  -moz-border-radius-bottomright: 3px;
  -webkit-border-bottom-right-radius: 3px;
  border-bottom-right-radius: 3px;
}

#ok_text, #error_text, #tryagain, #checkemail {
  font-size: 14px;
  line-height: 1em;
}

.divider {
  padding-top: 0.5em;
}
#div_registration label {
  text-align: left;
  padding-bottom: 0.5em;
}

#p_pw_strength, #u_pw_strength, #v_pw_strength, #u_sonderz {
  margin-left: 4px;
}
#u_pw_strength {
  margin-top: 5px;
}
#u_passwort, #u_confirm_pw {
  max-width: 10em;
}
#u_sonderz {
  font-size: 0.9em;
  line-height: 1.2em;
}
#u_strength {
  float: left;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
  border: 1px solid #000;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -o-border-radius: 4px;
  border-radius: 4px;
  padding: 2px 2px 4px 2px;
  height: 25px;
  font-family: 'Exo 2';
  color: #fff;
  text-align: center;
  margin-top: -1px;
  margin-left: -1px;
  text-shadow: 1px 1px 0 #777, 1px 1px 0 #222;
}
#u_strength_bckg {
  float: left;
  display: block;
  background-color: #d0d0d0;
  width: 150px;
  height: 25px;
  border: 1px solid #000;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -o-border-radius: 4px;
  border-radius: 4px;
  z-index: -1;
}
.strength0 {
  width: 50px;
  background-color: #ff2000;
}
.strength1 {
  width: 70px;
  background-color: #ff8000;
}
.strength2 {
  width: 90px;
  background-color: #ffb000;
}
.strength3 {
  width: 110px;
  background-color: #f0d000;
}
.strength4 {
  background-color: #00e000;
  width: 130px;
}
.strength5 {
  background-color: #00c000;
  width: 150px;
}
.pw_confirm_ok {
  border: 2px solid #00c000;
}
.pw_confirm_err {
  border: 2px solid #ff2000;
}
.u_validator {
  margin-top: 8px;
  height: 16px;
}
.validate {
  margin-top: 16px;
  margin-bottom: 16px;
  text-align: left;
}
.validate_comment {
  float: left;
  margin-right: 8px;
  vertical-align: top;
  display: none;
}
.popup {
  width: 320px;
}
.popup_header {
  font-weight: bold;
  margin-bottom: 8px;
  text-decoration: underline;
}

#yes, #no {
  margin: 0;
}

#k_reg_ok, #k_reg_err_mail, #k_reg_err_unknown, #k_chg_pw_ok, #k_chg_pw_err {
  margin-bottom: 1em;
  text-align: left;
}
#k_footer {
  margin-top: 1em;
  font-size: 12px;
}

.ui.message {
  padding-left: 1em;
  padding-right: 1em;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
}

.pulse {
  cursor: pointer;
  vertical-align: middle;
  animation: pulse 1s infinite ease-in-out alternate;
}
@keyframes pulse {
  from { transform: scale(0.8); }
  to { transform: scale(1.2); }
}


@media screen and (max-width: 1000px) {

#neueroeffnung {
  height: 150px;
}
.neon {
  margin-top: 16px;
  margin-left: 16px;
  font-size: 2rem;
  padding: 1.5rem 2rem 2rem;
  border: 0.3rem solid #fff;
  border-radius: 1.5rem;
}

#old-esloe {
  height: 150px;
}
.golden, .golden div {
}
.golden:after, .golden div {
  font-size: 150px;
  line-height: 150px;
  height: 150px;
}
.golden div {
  -webkit-background-size: 250px 116px;
}
.golden:after, .reiners {
  text-shadow: 1px 1px 0 #eee, 4px 4px 0 #777;
}

#reiners {
  height: 75px;
}
.reiners {
  font-size: 75px;
}

}

@media screen and (max-width: 736px) {

#neueroeffnung {
  height: 120px;
}
.neon {
  margin-top: 16px;
  margin-left: 16px;
  font-size: 2rem;
  padding: 1.5rem 2rem 2rem;
  border: 0.3rem solid #fff;
  border-radius: 1.5rem;
}

#old-esloe {
  height: 100px;
}
.golden, .golden div {
  min-width: 480px;
}
.golden:after, .golden div {
  font-size: 80px;
  line-height: 80px;
  height: 80px;
}
.golden div {
  -webkit-background-size: 120px 62px;
}
.golden:after, .reiners {
  text-shadow: 1px 1px 0 #eee, 4px 4px 0 #777;
}

#reiners {
  height: 80px;
}
.reiners {
  font-size: 40px;
}

.ausverkauft {
  margin-top: -3em;
}

}

@media screen and (max-width: 480px) {

#neueroeffnung {
  height: 100px;
}
.neon {
  margin-top: 16px;
  margin-left: 16px;
  font-size: 1.5rem;
  padding: 1rem 1.5rem 1.5rem;
  border: 0.2rem solid #fff;
  border-radius: 1rem;
}

#old-esloe {
  height: 80px;
}
.golden, .golden div {
  min-width: 400px;
}
.golden:after, .golden div {
  font-size: 60px;
  line-height: 60px;
  height: 60px;
}

.golden div {
}

.golden:after, .reiners {
  text-shadow: 1px 1px 0 #eee, 3px 3px 0 #777;
}

#reiners {
  height: 60px;
}
.reiners {
  font-size: 30px;
}

.ausverkauft {
  margin-top: -3em;
}

}
